import { UmbLitElement } from '../../../../core/lit-element/index.js';
export declare class UmbInstalledPackagesSectionViewItemElement extends UmbLitElement {
    #private;
    set name(value: string | undefined);
    get name(): string | undefined;
    version?: string | null;
    hasPendingMigrations: boolean;
    private _migrationButtonState?;
    private _packageView?;
    constructor();
    render(): "" | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult;
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-installed-packages-section-view-item': UmbInstalledPackagesSectionViewItemElement;
    }
}
